Skip to main content
GET
/
v1
/
communication
/
phone-numbers
/
{phone_number_id}
/
channels
List channel bindings for a phone number
curl --request GET \
  --url https://api-sandbox.featherhq.com/v1/communication/phone-numbers/{phone_number_id}/channels \
  --header 'x-api-key: <api-key>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "phone_number_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "agent_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "team_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
]

Authorizations

x-api-key
string
header
required

Path Parameters

phone_number_id
string<uuid>
required

Query Parameters

channel_type
string | null

Response

Successful Response

id
string<uuid>
required
phone_number_id
string<uuid>
required
channel_type
enum<string>
required
Available options:
sms,
inbound_call,
outbound_call
created_at
string<date-time>
required
agent_id
string<uuid> | null
agent_revision_id
string<uuid> | null
team_id
string<uuid> | null
team_revision_id
string<uuid> | null